Skip to main content
POST
/
api
/
v4
/
mining
/
workers
/
names
Worker Names
curl --request POST \
  --url https://whitebit.com/api/v4/mining/workers/names \
  --header 'Content-Type: application/json' \
  --header 'X-TXC-APIKEY: <api-key>' \
  --header 'X-TXC-PAYLOAD: <api-key>' \
  --header 'X-TXC-SIGNATURE: <api-key>' \
  --data '
{
  "account": "my_miner_01",
  "offset": 0,
  "limit": 50
}
'
import requests

url = "https://whitebit.com/api/v4/mining/workers/names"

payload = {
    "account": "my_miner_01",
    "offset": 0,
    "limit": 50
}
headers = {
    "X-TXC-APIKEY": "<api-key>",
    "X-TXC-PAYLOAD": "<api-key>",
    "X-TXC-SIGNATURE": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {
    'X-TXC-APIKEY': '<api-key>',
    'X-TXC-PAYLOAD': '<api-key>',
    'X-TXC-SIGNATURE': '<api-key>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({account: 'my_miner_01', offset: 0, limit: 50})
};

fetch('https://whitebit.com/api/v4/mining/workers/names', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "workers": [
      "worker_001",
      "worker_002",
      "worker_003"
    ]
  },
  "limit": 50,
  "offset": 0
}
{
  "code": 0,
  "message": "Validation failed",
  "errors": {
    "user": [
      "Mining pool account 'unknown_miner' not found"
    ]
  }
}

Authorizations

X-TXC-APIKEY
string
header
required

The public WhiteBIT API key.

X-TXC-PAYLOAD
string
header
required

Base64-encoded JSON request body.

X-TXC-SIGNATURE
string
header
required

HMAC-SHA512 signature of the payload, hex-encoded. Computed as hex(HMAC-SHA512(payload, api_secret)).

Body

application/json
account
string
required

Mining pool account name

Maximum string length: 255
Example:

"my_miner_01"

offset
integer
default:0

Pagination offset

Required range: 0 <= x <= 10000
Example:

0

limit
integer
default:100

Pagination limit

Required range: 1 <= x <= 100
Example:

50

Response

Successful response

data
object
limit
integer
offset
integer